<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net6.0</TargetFramework>
    <ImplicitUsings>disable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <PackageLicenseFile>LICENSE</PackageLicenseFile>
    
    <PackageRequireLicenseAcceptance>True</PackageRequireLicenseAcceptance>
    <PackageReadmeFile>README.md</PackageReadmeFile>
    <PackageIcon>icon.png</PackageIcon>
  </PropertyGroup>

  <ItemGroup>
    <None Include="..\..\..\EonaCat.Sql\EonaCat.Sql\icon.png">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
    <None Include="..\..\..\EonaCat.Sql\LICENSE">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
    <None Include="..\..\..\EonaCat.Sql\README.md">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.Data.SqlClient" Version="5.0.0" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="6.0.0" />
    <PackageReference Include="Microsoft.Extensions.Logging" Version="6.0.0" />
    <PackageReference Include="System.Data.SqlClient" Version="4.8.3" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\..\EonaCat.Sql\EonaCat.Sql\EonaCat.Sql.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="EonaCat.Helpers">
      <HintPath>..\..\..\EonaCat.Helpers\EonaCat.Helpers\bin\Debug\net6.0\EonaCat.Helpers.dll</HintPath>
    </Reference>
    <Reference Include="EonaCat.Logger">
      <HintPath>..\..\..\EonaCat.Logger\EonaCat.Logger\bin\Release\net6.0\EonaCat.Logger.dll</HintPath>
    </Reference>
  </ItemGroup>

</Project>
